[POST] .../v1/translation/gettranslationpacket
Gets translation package. Use this method when a client needs a packaged language payload with language code, version and indexed TranslationShort records. The method uses normal API access rules, requires language_code through a filters, checks that the language exists in the configured update CDN language list, then loads translations and returns LanguageTranslationData. Missing body, missing language_code, unknown language codes, CDN or cache failures and translation loading errors are returned as HTTP 200 ErrorResult business errors.
Request Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| filters | Array of Filter | Optional | Optional filters by fields available for this API method. |
Filterable Fields
| Field | Type | Description |
|---|---|---|
| language_code | string | Language code used to load translations. The API normally expects a three-letter code such as RUS or ENG. |
Request Example
{
"filters": [
{
"Field": "language_code",
"Operator": "Equal",
"Value": "ENG"
}
]
}
Response Parameters
| Name | Type | Description |
|---|---|---|
| ok | Boolean | Indicates whether the request completed successfully. |
| result | LanguageTranslationData | Result object. |
Response Example
{
"ok": true,
"result": {
"code": "ENG",
"version": 1712345600,
"data": [
{
"id": 1,
"variable_value": "DASHBOARD",
"translate_value": "Dashboard"
}
]
}
}